//////////////////////////////////////////////////////////////////////
// FILEMGR                                                          //
//////////////////////////////////////////////////////////////////////
// FileManager can be used to change the path to datafiles, or add  //
// a search path.  WARNING:  It is not fully interfaced to the rest //
// of SRCOMM.  I will add documentation later...                    //
//                                                                  //
// I am planning to use this for two things:                        //
//     I want to be able to open a file and have it look in some   //
//      data directory (automatically) for it.  This way, one main  //
//      directory can be used for many different games by having it //
//      search a subdirectory for data files.                       //
//     I'd like to have a search path for help text and ANSI       //
//      files this way, the sysop can write into his own directory  //
//      so that when a new version of your game comes out, the      //
//      text & ANSI files can replace your old ones, not the        //
//      sysop's modified versions.                                  //
// If you are interested in such things, contact me so that I can   //
// finish adding use of FileMgr to the rest of SRCOMM and I can     //
// show you an example.                                             //
//////////////////////////////////////////////////////////////////////

#include <cstring.h>
#include <unit/Director.h>
#include <srcomm3/FileMgr.h>

FileManager* FileManager::manager = 0;

FileManager::FileManager()
{
}

FileManager::~FileManager()
{
}

string FileManager::translate( string x )
{
    return x;
}

string FileManager::Translate( string x )
{
    if( !manager )
        manager = new FileManager;
    return manager -> translate( x );
}

